searchNodes=[{"ref":"GoogleApi.IAM.V1.Api.IamPolicies.html","title":"GoogleApi.IAM.V1.Api.IamPolicies","module":"GoogleApi.IAM.V1.Api.IamPolicies","type":"module","doc":"API calls for all endpoints tagged IamPolicies."},{"ref":"GoogleApi.IAM.V1.Api.IamPolicies.html#iam_iam_policies_lint_policy/3","title":"GoogleApi.IAM.V1.Api.IamPolicies.iam_iam_policies_lint_policy/3","module":"GoogleApi.IAM.V1.Api.IamPolicies","type":"function","doc":"Lints a Cloud IAM policy object or its sub fields. Currently supports google.iam.v1.Policy, google.iam.v1.Binding and google.iam.v1.Binding.condition. Each lint operation consists of multiple lint validation units. Validation units have the following properties: - Each unit inspects the input object in regard to a particular linting aspect and issues a google.iam.admin.v1.LintResult disclosing the result. - Domain of discourse of each unit can be either google.iam.v1.Policy, google.iam.v1.Binding, or google.iam.v1.Binding.condition depending on the purpose of the validation. - A unit may require additional data (like the list of all possible enumerable values of a particular attribute used in the policy instance) which shall be provided by the caller. Refer to the comments of google.iam.admin.v1.LintPolicyRequest.context for more details. The set of applicable validation units is determined by the Cloud IAM server and is not configurable. Regardless of any lint issues or their severities, successful calls to &#x60;lintPolicy&#x60; return an HTTP 200 OK status code. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (LintPolicyRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.LintPolicyResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.IamPolicies.html#iam_iam_policies_query_auditable_services/3","title":"GoogleApi.IAM.V1.Api.IamPolicies.iam_iam_policies_query_auditable_services/3","module":"GoogleApi.IAM.V1.Api.IamPolicies","type":"function","doc":"Returns a list of services that support service level audit logging configuration for the given resource. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (QueryAuditableServicesRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html","title":"GoogleApi.IAM.V1.Api.Organizations","module":"GoogleApi.IAM.V1.Api.Organizations","type":"module","doc":"API calls for all endpoints tagged Organizations."},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_create/4","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_create/4","module":"GoogleApi.IAM.V1.Api.Organizations","type":"function","doc":"Creates a new Role. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server organizations_id (String.t): Part of &#x60;parent&#x60;. The resource name of the parent resource in one of the following formats: &#x60;organizations/{ORGANIZATION_ID}&#x60; &#x60;projects/{PROJECT_ID}&#x60; optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateRoleRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_delete/5","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_delete/5","module":"GoogleApi.IAM.V1.Api.Organizations","type":"function","doc":"Soft deletes a role. The role is suspended and cannot be used to create new IAM Policy Bindings. The Role will not be included in &#x60;ListRoles()&#x60; unless &#x60;show_deleted&#x60; is set in the &#x60;ListRolesRequest&#x60;. The Role contains the deleted boolean set. Existing Bindings remains, but are inactive. The Role can be undeleted within 7 days. After 7 days the Role is deleted and all Bindings associated with the role are removed. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server organizations_id (String.t): Part of &#x60;name&#x60;. The resource name of the role in one of the following formats: &#x60;organizations/{ORGANIZATION_ID}/roles/{ROLE_NAME}&#x60; &#x60;projects/{PROJECT_ID}/roles/{ROLE_NAME}&#x60; roles_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;organizationsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :etag (binary()): Used to perform a consistent read-modify-write. Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_get/5","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_get/5","module":"GoogleApi.IAM.V1.Api.Organizations","type":"function","doc":"Gets a Role definition. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server organizations_id (String.t): Part of &#x60;name&#x60;. The resource name of the role in one of the following formats: &#x60;roles/{ROLE_NAME}&#x60; &#x60;organizations/{ORGANIZATION_ID}/roles/{ROLE_NAME}&#x60; &#x60;projects/{PROJECT_ID}/roles/{ROLE_NAME}&#x60; roles_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;organizationsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_list/4","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_list/4","module":"GoogleApi.IAM.V1.Api.Organizations","type":"function","doc":"Lists the Roles defined on a resource. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server organizations_id (String.t): Part of &#x60;parent&#x60;. The resource name of the parent resource in one of the following formats: &#x60;&#x60; (empty string) -- this refers to curated roles. &#x60;organizations/{ORGANIZATION_ID}&#x60; &#x60;projects/{PROJECT_ID}&#x60; optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Optional limit on the number of roles to include in the response. :pageToken (String.t): Optional pagination token returned in an earlier ListRolesResponse. :showDeleted (boolean()): Include Roles that have been deleted. :view (String.t): Optional view for the returned Role objects. When &#x60;FULL&#x60; is specified, the &#x60;includedPermissions&#x60; field is returned, which includes a list of all permissions in the role. The default value is &#x60;BASIC&#x60;, which does not return the &#x60;includedPermissions&#x60; field. Returns {:ok, %GoogleApi.IAM.V1.Model.ListRolesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_patch/5","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_patch/5","module":"GoogleApi.IAM.V1.Api.Organizations","type":"function","doc":"Updates a Role definition. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server organizations_id (String.t): Part of &#x60;name&#x60;. The resource name of the role in one of the following formats: &#x60;roles/{ROLE_NAME}&#x60; &#x60;organizations/{ORGANIZATION_ID}/roles/{ROLE_NAME}&#x60; &#x60;projects/{PROJECT_ID}/roles/{ROLE_NAME}&#x60; roles_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;organizationsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): A mask describing which fields in the Role have changed. :body (Role): Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_undelete/5","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_undelete/5","module":"GoogleApi.IAM.V1.Api.Organizations","type":"function","doc":"Undelete a Role, bringing it back in its previous state. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server organizations_id (String.t): Part of &#x60;name&#x60;. The resource name of the role in one of the following formats: &#x60;organizations/{ORGANIZATION_ID}/roles/{ROLE_NAME}&#x60; &#x60;projects/{PROJECT_ID}/roles/{ROLE_NAME}&#x60; roles_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;organizationsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UndeleteRoleRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Permissions.html","title":"GoogleApi.IAM.V1.Api.Permissions","module":"GoogleApi.IAM.V1.Api.Permissions","type":"module","doc":"API calls for all endpoints tagged Permissions."},{"ref":"GoogleApi.IAM.V1.Api.Permissions.html#iam_permissions_query_testable_permissions/3","title":"GoogleApi.IAM.V1.Api.Permissions.iam_permissions_query_testable_permissions/3","module":"GoogleApi.IAM.V1.Api.Permissions","type":"function","doc":"Lists the permissions testable on a resource. A permission is testable if it can be tested for an identity on a resource. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (QueryTestablePermissionsRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html","title":"GoogleApi.IAM.V1.Api.Projects","module":"GoogleApi.IAM.V1.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_create/4","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_create/4","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Creates a new Role. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;parent&#x60;. The resource name of the parent resource in one of the following formats: &#x60;organizations/{ORGANIZATION_ID}&#x60; &#x60;projects/{PROJECT_ID}&#x60; optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateRoleRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_delete/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_delete/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Soft deletes a role. The role is suspended and cannot be used to create new IAM Policy Bindings. The Role will not be included in &#x60;ListRoles()&#x60; unless &#x60;show_deleted&#x60; is set in the &#x60;ListRolesRequest&#x60;. The Role contains the deleted boolean set. Existing Bindings remains, but are inactive. The Role can be undeleted within 7 days. After 7 days the Role is deleted and all Bindings associated with the role are removed. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the role in one of the following formats: &#x60;organizations/{ORGANIZATION_ID}/roles/{ROLE_NAME}&#x60; &#x60;projects/{PROJECT_ID}/roles/{ROLE_NAME}&#x60; roles_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :etag (binary()): Used to perform a consistent read-modify-write. Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_get/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_get/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Gets a Role definition. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the role in one of the following formats: &#x60;roles/{ROLE_NAME}&#x60; &#x60;organizations/{ORGANIZATION_ID}/roles/{ROLE_NAME}&#x60; &#x60;projects/{PROJECT_ID}/roles/{ROLE_NAME}&#x60; roles_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_list/4","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_list/4","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Lists the Roles defined on a resource. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;parent&#x60;. The resource name of the parent resource in one of the following formats: &#x60;&#x60; (empty string) -- this refers to curated roles. &#x60;organizations/{ORGANIZATION_ID}&#x60; &#x60;projects/{PROJECT_ID}&#x60; optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Optional limit on the number of roles to include in the response. :pageToken (String.t): Optional pagination token returned in an earlier ListRolesResponse. :showDeleted (boolean()): Include Roles that have been deleted. :view (String.t): Optional view for the returned Role objects. When &#x60;FULL&#x60; is specified, the &#x60;includedPermissions&#x60; field is returned, which includes a list of all permissions in the role. The default value is &#x60;BASIC&#x60;, which does not return the &#x60;includedPermissions&#x60; field. Returns {:ok, %GoogleApi.IAM.V1.Model.ListRolesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_patch/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_patch/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Updates a Role definition. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the role in one of the following formats: &#x60;roles/{ROLE_NAME}&#x60; &#x60;organizations/{ORGANIZATION_ID}/roles/{ROLE_NAME}&#x60; &#x60;projects/{PROJECT_ID}/roles/{ROLE_NAME}&#x60; roles_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): A mask describing which fields in the Role have changed. :body (Role): Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_undelete/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_undelete/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Undelete a Role, bringing it back in its previous state. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the role in one of the following formats: &#x60;organizations/{ORGANIZATION_ID}/roles/{ROLE_NAME}&#x60; &#x60;projects/{PROJECT_ID}/roles/{ROLE_NAME}&#x60; roles_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UndeleteRoleRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_create/4","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_create/4","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Creates a ServiceAccount and returns it. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. Required. The resource name of the project associated with the service accounts, such as &#x60;projects/my-project-123&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateServiceAccountRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccount{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_delete/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_delete/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Deletes a ServiceAccount. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. The &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.IAM.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_disable/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_disable/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Disables a ServiceAccount. The API is currently in alpha phase. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. The &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (DisableServiceAccountRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_enable/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_enable/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Enables a ServiceAccount. The API is currently in alpha phase. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT_UNIQUE_ID}&#39;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (EnableServiceAccountRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_get/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_get/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Gets a ServiceAccount. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. The &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccount{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_get_iam_policy/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_get_iam_policy/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Returns the Cloud IAM access control policy for a ServiceAccount. Note: Service accounts are both resources and identities. This method treats the service account as a resource. It returns the Cloud IAM policy that reflects what members have access to the service account. This method does not return what resources the service account has access to. To see if a service account has access to a resource, call the &#x60;getIamPolicy&#x60; method on the target resource. For example, to view grants for a project, call the projects.getIamPolicy method. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. service_accounts_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.IAM.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_keys_create/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_keys_create/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Creates a ServiceAccountKey and returns it. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. The &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateServiceAccountKeyRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccountKey{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_keys_delete/6","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_keys_delete/6","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Deletes a ServiceAccountKey. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account key in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}/keys/{key}&#x60;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. The &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. keys_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.IAM.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_keys_get/6","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_keys_get/6","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Gets the ServiceAccountKey by key id. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account key in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}/keys/{key}&#x60;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. The &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. keys_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :publicKeyType (String.t): The output format of the public key requested. X509_PEM is the default output format. Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccountKey{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_keys_list/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_keys_list/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Lists ServiceAccountKeys. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60;, will infer the project from the account. The &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :keyTypes ([String.t]): Filters the types of keys the user wants to include in the list response. Duplicate key types are not allowed. If no key type is provided, all keys are returned. Returns {:ok, %GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_list/4","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_list/4","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Lists ServiceAccounts for a project. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. Required. The resource name of the project associated with the service accounts, such as &#x60;projects/my-project-123&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Optional limit on the number of service accounts to include in the response. Further accounts can subsequently be obtained by including the ListServiceAccountsResponse.next_page_token in a subsequent request. :pageToken (String.t): Optional pagination token returned in an earlier ListServiceAccountsResponse.next_page_token. Returns {:ok, %GoogleApi.IAM.V1.Model.ListServiceAccountsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_patch/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_patch/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Patches a ServiceAccount. Currently, only the following fields are updatable: &#x60;display_name&#x60; and &#x60;description&#x60;. Only fields specified in the request are guaranteed to be returned in the response. Other fields in the response may be empty. Note: The field mask is required. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;serviceAccount.name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Requests using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the &#x60;account&#x60; and the &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. In responses the resource name will always be in the format &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. service_accounts_id (String.t): Part of &#x60;serviceAccount.name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (PatchServiceAccountRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccount{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_set_iam_policy/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_set_iam_policy/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Sets the Cloud IAM access control policy for a ServiceAccount. Note: Service accounts are both resources and identities. This method treats the service account as a resource. Use it to grant members access to the service account, such as when they need to impersonate it. This method does not grant the service account access to other resources, such as projects. To grant a service account access to resources, include the service account in the Cloud IAM policy for the desired resource, then call the appropriate &#x60;setIamPolicy&#x60; method on the target resource. For example, to grant a service account access to a project, call the projects.setIamPolicy method. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. service_accounts_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetIamPolicyRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_sign_blob/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_sign_blob/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Note: This method is in the process of being deprecated. Call the &#x60;signBlob()&#x60; method of the Cloud IAM Service Account Credentials API instead. Signs a blob using a service account&#39;s system-managed private key. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. The &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SignBlobRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.SignBlobResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_sign_jwt/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_sign_jwt/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Note: This method is in the process of being deprecated. Call the &#x60;signJwt()&#x60; method of the Cloud IAM Service Account Credentials API instead. Signs a JWT using a service account&#39;s system-managed private key. If no expiry time (&#x60;exp&#x60;) is provided in the &#x60;SignJwtRequest&#x60;, IAM sets an an expiry time of one hour by default. If you request an expiry time of more than one hour, the request will fail. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. The &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SignJwtRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.SignJwtResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_test_iam_permissions/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_test_iam_permissions/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Tests the specified permissions against the IAM access control policy for a ServiceAccount. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;resource&#x60;. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. service_accounts_id (String.t): Part of &#x60;resource&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (TestIamPermissionsRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_undelete/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_undelete/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Restores a deleted ServiceAccount. This is to be used as an action of last resort. A service account may not always be restorable. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT_UNIQUE_ID}&#39;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UndeleteServiceAccountRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_update/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_update/5","module":"GoogleApi.IAM.V1.Api.Projects","type":"function","doc":"Note: This method is in the process of being deprecated. Use PatchServiceAccount instead. Updates a ServiceAccount. Currently, only the following fields are updatable: &#x60;display_name&#x60; . The &#x60;etag&#x60; is mandatory. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Requests using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the &#x60;account&#x60; and the &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. In responses the resource name will always be in the format &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. service_accounts_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ServiceAccount): Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccount{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Roles.html","title":"GoogleApi.IAM.V1.Api.Roles","module":"GoogleApi.IAM.V1.Api.Roles","type":"module","doc":"API calls for all endpoints tagged Roles."},{"ref":"GoogleApi.IAM.V1.Api.Roles.html#iam_roles_get/4","title":"GoogleApi.IAM.V1.Api.Roles.iam_roles_get/4","module":"GoogleApi.IAM.V1.Api.Roles","type":"function","doc":"Gets a Role definition. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server roles_id (String.t): Part of &#x60;name&#x60;. The resource name of the role in one of the following formats: &#x60;roles/{ROLE_NAME}&#x60; &#x60;organizations/{ORGANIZATION_ID}/roles/{ROLE_NAME}&#x60; &#x60;projects/{PROJECT_ID}/roles/{ROLE_NAME}&#x60; optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Roles.html#iam_roles_list/3","title":"GoogleApi.IAM.V1.Api.Roles.iam_roles_list/3","module":"GoogleApi.IAM.V1.Api.Roles","type":"function","doc":"Lists the Roles defined on a resource. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Optional limit on the number of roles to include in the response. :pageToken (String.t): Optional pagination token returned in an earlier ListRolesResponse. :parent (String.t): The resource name of the parent resource in one of the following formats: &#x60;&#x60; (empty string) -- this refers to curated roles. &#x60;organizations/{ORGANIZATION_ID}&#x60; &#x60;projects/{PROJECT_ID}&#x60; :showDeleted (boolean()): Include Roles that have been deleted. :view (String.t): Optional view for the returned Role objects. When &#x60;FULL&#x60; is specified, the &#x60;includedPermissions&#x60; field is returned, which includes a list of all permissions in the role. The default value is &#x60;BASIC&#x60;, which does not return the &#x60;includedPermissions&#x60; field. Returns {:ok, %GoogleApi.IAM.V1.Model.ListRolesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Roles.html#iam_roles_query_grantable_roles/3","title":"GoogleApi.IAM.V1.Api.Roles.iam_roles_query_grantable_roles/3","module":"GoogleApi.IAM.V1.Api.Roles","type":"function","doc":"Queries roles that can be granted on a particular resource. A role is grantable if it can be used as the role in a binding for a policy for that resource. Parameters connection (GoogleApi.IAM.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (QueryGrantableRolesRequest): Returns {:ok, %GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Connection.html","title":"GoogleApi.IAM.V1.Connection","module":"GoogleApi.IAM.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.IAM.V1."},{"ref":"GoogleApi.IAM.V1.Connection.html#delete/3","title":"GoogleApi.IAM.V1.Connection.delete/3","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#delete!/3","title":"GoogleApi.IAM.V1.Connection.delete!/3","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#execute/2","title":"GoogleApi.IAM.V1.Connection.execute/2","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.IAM.V1.Connection.html#get/3","title":"GoogleApi.IAM.V1.Connection.get/3","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#get!/3","title":"GoogleApi.IAM.V1.Connection.get!/3","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#head/3","title":"GoogleApi.IAM.V1.Connection.head/3","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#head!/3","title":"GoogleApi.IAM.V1.Connection.head!/3","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#new/0","title":"GoogleApi.IAM.V1.Connection.new/0","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.IAM.V1.Connection.html#new/1","title":"GoogleApi.IAM.V1.Connection.new/1","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.IAM.V1.Connection.html#options/3","title":"GoogleApi.IAM.V1.Connection.options/3","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#options!/3","title":"GoogleApi.IAM.V1.Connection.options!/3","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#patch/4","title":"GoogleApi.IAM.V1.Connection.patch/4","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#patch!/4","title":"GoogleApi.IAM.V1.Connection.patch!/4","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#post/4","title":"GoogleApi.IAM.V1.Connection.post/4","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#post!/4","title":"GoogleApi.IAM.V1.Connection.post!/4","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#put/4","title":"GoogleApi.IAM.V1.Connection.put/4","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#put!/4","title":"GoogleApi.IAM.V1.Connection.put!/4","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#request/2","title":"GoogleApi.IAM.V1.Connection.request/2","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.IAM.V1.Connection.html#request!/2","title":"GoogleApi.IAM.V1.Connection.request!/2","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.IAM.V1.Connection.html#trace/3","title":"GoogleApi.IAM.V1.Connection.trace/3","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#trace!/3","title":"GoogleApi.IAM.V1.Connection.trace!/3","module":"GoogleApi.IAM.V1.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#t:option/0","title":"GoogleApi.IAM.V1.Connection.option/0","module":"GoogleApi.IAM.V1.Connection","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Deserializer.html","title":"GoogleApi.IAM.V1.Deserializer","module":"GoogleApi.IAM.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.IAM.V1.Model.AuditConfig.html","title":"GoogleApi.IAM.V1.Model.AuditConfig","module":"GoogleApi.IAM.V1.Model.AuditConfig","type":"module","doc":"Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both &#x60;allServices&#x60; and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { &quot;audit_configs&quot;: [ { &quot;service&quot;: &quot;allServices&quot; &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, &quot;exempted_members&quot;: [ &quot;user:foo@gmail.com&quot; ] }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, }, { &quot;log_type&quot;: &quot;ADMIN_READ&quot;, } ] }, { &quot;service&quot;: &quot;fooservice.googleapis.com&quot; &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, &quot;exempted_members&quot;: [ &quot;user:bar@gmail.com&quot; ] } ] } ] } For fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts foo@gmail.com from DATA_READ logging, and bar@gmail.com from DATA_WRITE logging. Attributes auditLogConfigs ([AuditLogConfig]): The configuration for logging of each type of permission. Defaults to: null. service (String.t): Specifies a service that will be enabled for audit logging. For example, &#x60;storage.googleapis.com&#x60;, &#x60;cloudsql.googleapis.com&#x60;. &#x60;allServices&#x60; is a special value that covers all services. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.AuditConfig.html#decode/2","title":"GoogleApi.IAM.V1.Model.AuditConfig.decode/2","module":"GoogleApi.IAM.V1.Model.AuditConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.AuditConfig.html#t:t/0","title":"GoogleApi.IAM.V1.Model.AuditConfig.t/0","module":"GoogleApi.IAM.V1.Model.AuditConfig","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.AuditData.html","title":"GoogleApi.IAM.V1.Model.AuditData","module":"GoogleApi.IAM.V1.Model.AuditData","type":"module","doc":"Audit log information specific to Cloud IAM. This message is serialized as an &#x60;Any&#x60; type in the &#x60;ServiceData&#x60; message of an &#x60;AuditLog&#x60; message. Attributes policyDelta (PolicyDelta): Policy delta between the original policy and the newly set policy. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.AuditData.html#decode/2","title":"GoogleApi.IAM.V1.Model.AuditData.decode/2","module":"GoogleApi.IAM.V1.Model.AuditData","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.AuditData.html#t:t/0","title":"GoogleApi.IAM.V1.Model.AuditData.t/0","module":"GoogleApi.IAM.V1.Model.AuditData","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.AuditLogConfig.html","title":"GoogleApi.IAM.V1.Model.AuditLogConfig","module":"GoogleApi.IAM.V1.Model.AuditLogConfig","type":"module","doc":"Provides the configuration for logging a type of permissions. Example: { &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, &quot;exempted_members&quot;: [ &quot;user:foo@gmail.com&quot; ] }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, } ] } This enables &#39;DATA_READ&#39; and &#39;DATA_WRITE&#39; logging, while exempting foo@gmail.com from DATA_READ logging. Attributes exemptedMembers ([String.t]): Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members. Defaults to: null. logType (String.t): The log type that this config enables. Defaults to: null. Enum - one of [LOG_TYPE_UNSPECIFIED, ADMIN_READ, DATA_WRITE, DATA_READ]"},{"ref":"GoogleApi.IAM.V1.Model.AuditLogConfig.html#decode/2","title":"GoogleApi.IAM.V1.Model.AuditLogConfig.decode/2","module":"GoogleApi.IAM.V1.Model.AuditLogConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.AuditLogConfig.html#t:t/0","title":"GoogleApi.IAM.V1.Model.AuditLogConfig.t/0","module":"GoogleApi.IAM.V1.Model.AuditLogConfig","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.AuditableService.html","title":"GoogleApi.IAM.V1.Model.AuditableService","module":"GoogleApi.IAM.V1.Model.AuditableService","type":"module","doc":"Contains information about an auditable service. Attributes name (String.t): Public name of the service. For example, the service name for Cloud IAM is &#39;iam.googleapis.com&#39;. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.AuditableService.html#decode/2","title":"GoogleApi.IAM.V1.Model.AuditableService.decode/2","module":"GoogleApi.IAM.V1.Model.AuditableService","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.AuditableService.html#t:t/0","title":"GoogleApi.IAM.V1.Model.AuditableService.t/0","module":"GoogleApi.IAM.V1.Model.AuditableService","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Binding.html","title":"GoogleApi.IAM.V1.Model.Binding","module":"GoogleApi.IAM.V1.Model.Binding","type":"module","doc":"Associates &#x60;members&#x60; with a &#x60;role&#x60;. Attributes condition (Expr): The condition that is associated with this binding. NOTE: an unsatisfied condition will not allow user access via current binding. Different bindings, including their conditions, are examined independently. Defaults to: null. members ([String.t]): Specifies the identities requesting access for a Cloud Platform resource. &#x60;members&#x60; can have the following values: &#x60;allUsers&#x60;: A special identifier that represents anyone who is on the internet; with or without a Google account. &#x60;allAuthenticatedUsers&#x60;: A special identifier that represents anyone who is authenticated with a Google account or a service account. &#x60;user:{emailid}&#x60;: An email address that represents a specific Google account. For example, &#x60;alice@gmail.com&#x60; . &#x60;serviceAccount:{emailid}&#x60;: An email address that represents a service account. For example, &#x60;my-other-app@appspot.gserviceaccount.com&#x60;. &#x60;group:{emailid}&#x60;: An email address that represents a Google group. For example, &#x60;admins@example.com&#x60;. &#x60;domain:{domain}&#x60;: The G Suite domain (primary) that represents all the users of that domain. For example, &#x60;google.com&#x60; or &#x60;example.com&#x60;. Defaults to: null. role (String.t): Role that is assigned to &#x60;members&#x60;. For example, &#x60;roles/viewer&#x60;, &#x60;roles/editor&#x60;, or &#x60;roles/owner&#x60;. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.Binding.html#decode/2","title":"GoogleApi.IAM.V1.Model.Binding.decode/2","module":"GoogleApi.IAM.V1.Model.Binding","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Binding.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Binding.t/0","module":"GoogleApi.IAM.V1.Model.Binding","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.BindingDelta.html","title":"GoogleApi.IAM.V1.Model.BindingDelta","module":"GoogleApi.IAM.V1.Model.BindingDelta","type":"module","doc":"One delta entry for Binding. Each individual change (only one member in each entry) to a binding will be a separate entry. Attributes action (String.t): The action that was performed on a Binding. Required Defaults to: null. Enum - one of [ACTION_UNSPECIFIED, ADD, REMOVE] condition (Expr): Unimplemented. The condition that is associated with this binding. This field is logged only for Cloud Audit Logging. Defaults to: null. member (String.t): A single identity requesting access for a Cloud Platform resource. Follows the same format of Binding.members. Required Defaults to: null. role (String.t): Role that is assigned to &#x60;members&#x60;. For example, &#x60;roles/viewer&#x60;, &#x60;roles/editor&#x60;, or &#x60;roles/owner&#x60;. Required Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.BindingDelta.html#decode/2","title":"GoogleApi.IAM.V1.Model.BindingDelta.decode/2","module":"GoogleApi.IAM.V1.Model.BindingDelta","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.BindingDelta.html#t:t/0","title":"GoogleApi.IAM.V1.Model.BindingDelta.t/0","module":"GoogleApi.IAM.V1.Model.BindingDelta","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.CreateRoleRequest.html","title":"GoogleApi.IAM.V1.Model.CreateRoleRequest","module":"GoogleApi.IAM.V1.Model.CreateRoleRequest","type":"module","doc":"The request to create a new role. Attributes role (Role): The Role resource to create. Defaults to: null. roleId (String.t): The role id to use for this role. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.CreateRoleRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.CreateRoleRequest.decode/2","module":"GoogleApi.IAM.V1.Model.CreateRoleRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.CreateRoleRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.CreateRoleRequest.t/0","module":"GoogleApi.IAM.V1.Model.CreateRoleRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.html","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest","module":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest","type":"module","doc":"The service account key create request. Attributes keyAlgorithm (String.t): Which type of key and algorithm to use for the key. The default is currently a 2K RSA key. However this may change in the future. Defaults to: null. Enum - one of [KEY_ALG_UNSPECIFIED, KEY_ALG_RSA_1024, KEY_ALG_RSA_2048] privateKeyType (String.t): The output format of the private key. The default value is &#x60;TYPE_GOOGLE_CREDENTIALS_FILE&#x60;, which is the Google Credentials File format. Defaults to: null. Enum - one of [TYPE_UNSPECIFIED, TYPE_PKCS12_FILE, TYPE_GOOGLE_CREDENTIALS_FILE]"},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.decode/2","module":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.t/0","module":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.html","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest","module":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest","type":"module","doc":"The service account create request. Attributes accountId (String.t): Required. The account id that is used to generate the service account email address and a stable unique id. It is unique within a project, must be 6-30 characters long, and match the regular expression &#x60;a-z&#x60; to comply with RFC1035. Defaults to: null. serviceAccount (ServiceAccount): The ServiceAccount resource to create. Currently, only the following values are user assignable: &#x60;display_name&#x60; . Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.decode/2","module":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.t/0","module":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.html","title":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest","module":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest","type":"module","doc":"The service account disable request. Attributes"},{"ref":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.decode/2","module":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.t/0","module":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Empty.html","title":"GoogleApi.IAM.V1.Model.Empty","module":"GoogleApi.IAM.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.IAM.V1.Model.Empty.html#decode/2","title":"GoogleApi.IAM.V1.Model.Empty.decode/2","module":"GoogleApi.IAM.V1.Model.Empty","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Empty.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Empty.t/0","module":"GoogleApi.IAM.V1.Model.Empty","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.html","title":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest","module":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest","type":"module","doc":"The service account enable request. Attributes"},{"ref":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.decode/2","module":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.t/0","module":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Expr.html","title":"GoogleApi.IAM.V1.Model.Expr","module":"GoogleApi.IAM.V1.Model.Expr","type":"module","doc":"Represents an expression text. Example: title: &quot;User account presence&quot; description: &quot;Determines whether the request has a user account&quot; expression: &quot;size(request.user) &gt; 0&quot; Attributes description (String.t): An optional description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. Defaults to: null. expression (String.t): Textual representation of an expression in Common Expression Language syntax. The application context of the containing message determines which well-known feature set of CEL is supported. Defaults to: null. location (String.t): An optional string indicating the location of the expression for error reporting, e.g. a file name and a position in the file. Defaults to: null. title (String.t): An optional title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.Expr.html#decode/2","title":"GoogleApi.IAM.V1.Model.Expr.decode/2","module":"GoogleApi.IAM.V1.Model.Expr","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Expr.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Expr.t/0","module":"GoogleApi.IAM.V1.Model.Expr","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyRequest.html","title":"GoogleApi.IAM.V1.Model.LintPolicyRequest","module":"GoogleApi.IAM.V1.Model.LintPolicyRequest","type":"module","doc":"The request to lint a Cloud IAM policy object. LintPolicy is currently functional only for &#x60;lint_object&#x60; of type &#x60;condition&#x60;. Attributes binding (Binding): Binding object to be linted. The functionality of linting a binding is not yet implemented and if this field is set, it returns NOT_IMPLEMENTED error. Defaults to: null. condition (Expr): google.iam.v1.Binding.condition object to be linted. Defaults to: null. context (%{optional(String.t) &#x3D;&gt; String.t}): &#x60;context&#x60; contains additional permission-controlled data that any lint unit may depend on, in form of &#x60;{key: value}&#x60; pairs. Currently, this field is non-operational and it will not be used during the lint operation. Defaults to: null. fullResourceName (String.t): The full resource name of the policy this lint request is about. The name follows the Google Cloud Platform (GCP) resource format. For example, a GCP project with ID &#x60;my-project&#x60; will be named &#x60;//cloudresourcemanager.googleapis.com/projects/my-project&#x60;. The resource name is not used to read the policy instance from the Cloud IAM database. The candidate policy for lint has to be provided in the same request object. Defaults to: null. policy (Policy): Policy object to be linted. The functionality of linting a policy is not yet implemented and if this field is set, it returns NOT_IMPLEMENTED error. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.LintPolicyRequest.decode/2","module":"GoogleApi.IAM.V1.Model.LintPolicyRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.LintPolicyRequest.t/0","module":"GoogleApi.IAM.V1.Model.LintPolicyRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyResponse.html","title":"GoogleApi.IAM.V1.Model.LintPolicyResponse","module":"GoogleApi.IAM.V1.Model.LintPolicyResponse","type":"module","doc":"The response of a lint operation. An empty response indicates the operation was able to fully execute and no lint issue was found. Attributes lintResults ([LintResult]): List of lint results sorted by a composite &lt;severity, binding_ordinal&gt; key, descending order of severity and ascending order of binding_ordinal. There is no certain order among the same keys. For cross-binding results (only if the input object to lint is instance of google.iam.v1.Policy), there will be a google.iam.admin.v1.LintResult for each of the involved bindings, and the associated debug_message may enumerate the other involved binding ordinal number(s). Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.LintPolicyResponse.decode/2","module":"GoogleApi.IAM.V1.Model.LintPolicyResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.LintPolicyResponse.t/0","module":"GoogleApi.IAM.V1.Model.LintPolicyResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.LintResult.html","title":"GoogleApi.IAM.V1.Model.LintResult","module":"GoogleApi.IAM.V1.Model.LintResult","type":"module","doc":"Structured response of a single validation unit. Attributes bindingOrdinal (integer()): 0-based index ordinality of the binding in the input object associated with this result. This field is populated only if the input object to lint is of type google.iam.v1.Policy, which can comprise more than one binding. It is set to -1 if the result is not associated with any particular binding and only targets the policy as a whole, such as results about policy size violations. Defaults to: null. debugMessage (String.t): Human readable debug message associated with the issue. Defaults to: null. fieldName (String.t): The name of the field for which this lint result is about. For nested messages, &#x60;field_name&#x60; consists of names of the embedded fields separated by period character. The top-level qualifier is the input object to lint in the request. For instance, if the lint request is on a google.iam.v1.Policy and this lint result is about a condition expression of one of the input policy bindings, the field would be populated as &#x60;policy.bindings.condition.expression&#x60;. This field does not identify the ordinality of the repetitive fields (for instance bindings in a policy). Defaults to: null. level (String.t): The validation unit level. Defaults to: null. Enum - one of [LEVEL_UNSPECIFIED, POLICY, BINDING, CONDITION] locationOffset (integer()): 0-based character position of problematic construct within the object identified by &#x60;field_name&#x60;. Currently, this is populated only for condition expression. Defaults to: null. severity (String.t): The validation unit severity. Defaults to: null. Enum - one of [SEVERITY_UNSPECIFIED, ERROR, WARNING, NOTICE, INFO, DEPRECATED] validationUnitName (String.t): The validation unit name, for instance “lintValidationUnits/ConditionComplexityCheck”. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.LintResult.html#decode/2","title":"GoogleApi.IAM.V1.Model.LintResult.decode/2","module":"GoogleApi.IAM.V1.Model.LintResult","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.LintResult.html#t:t/0","title":"GoogleApi.IAM.V1.Model.LintResult.t/0","module":"GoogleApi.IAM.V1.Model.LintResult","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.ListRolesResponse.html","title":"GoogleApi.IAM.V1.Model.ListRolesResponse","module":"GoogleApi.IAM.V1.Model.ListRolesResponse","type":"module","doc":"The response containing the roles defined under a resource. Attributes nextPageToken (String.t): To retrieve the next page of results, set &#x60;ListRolesRequest.page_token&#x60; to this value. Defaults to: null. roles ([Role]): The Roles defined on this resource. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.ListRolesResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.ListRolesResponse.decode/2","module":"GoogleApi.IAM.V1.Model.ListRolesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.ListRolesResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.ListRolesResponse.t/0","module":"GoogleApi.IAM.V1.Model.ListRolesResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse.html","title":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse","module":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse","type":"module","doc":"The service account keys list response. Attributes keys ([ServiceAccountKey]): The public keys for the service account. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse.decode/2","module":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse.t/0","module":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse.html","title":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse","module":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse","type":"module","doc":"The service account list response. Attributes accounts ([ServiceAccount]): The list of matching service accounts. Defaults to: null. nextPageToken (String.t): To retrieve the next page of results, set ListServiceAccountsRequest.page_token to this value. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse.decode/2","module":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse.t/0","module":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.html","title":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest","module":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest","type":"module","doc":"The patch service account request. Attributes serviceAccount (ServiceAccount): Defaults to: null. updateMask (String.t): Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.decode/2","module":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.t/0","module":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Permission.html","title":"GoogleApi.IAM.V1.Model.Permission","module":"GoogleApi.IAM.V1.Model.Permission","type":"module","doc":"A permission which can be included by a role. Attributes apiDisabled (boolean()): The service API associated with the permission is not enabled. Defaults to: null. customRolesSupportLevel (String.t): The current custom role support level. Defaults to: null. Enum - one of [SUPPORTED, TESTING, NOT_SUPPORTED] description (String.t): A brief description of what this Permission is used for. Defaults to: null. name (String.t): The name of this Permission. Defaults to: null. onlyInPredefinedRoles (boolean()): This permission can ONLY be used in predefined roles. Defaults to: null. stage (String.t): The current launch stage of the permission. Defaults to: null. Enum - one of [ALPHA, BETA, GA, DEPRECATED] title (String.t): The title of this Permission. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.Permission.html#decode/2","title":"GoogleApi.IAM.V1.Model.Permission.decode/2","module":"GoogleApi.IAM.V1.Model.Permission","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Permission.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Permission.t/0","module":"GoogleApi.IAM.V1.Model.Permission","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Policy.html","title":"GoogleApi.IAM.V1.Model.Policy","module":"GoogleApi.IAM.V1.Model.Policy","type":"module","doc":"Defines an Identity and Access Management (IAM) policy. It is used to specify access control policies for Cloud Platform resources. A &#x60;Policy&#x60; consists of a list of &#x60;bindings&#x60;. A &#x60;binding&#x60; binds a list of &#x60;members&#x60; to a &#x60;role&#x60;, where the members can be user accounts, Google groups, Google domains, and service accounts. A &#x60;role&#x60; is a named list of permissions defined by IAM. JSON Example { &quot;bindings&quot;: [ { &quot;role&quot;: &quot;roles/owner&quot;, &quot;members&quot;: [ &quot;user:mike@example.com&quot;, &quot;group:admins@example.com&quot;, &quot;domain:google.com&quot;, &quot;serviceAccount:my-other-app@appspot.gserviceaccount.com&quot; ] }, { &quot;role&quot;: &quot;roles/viewer&quot;, &quot;members&quot;: [&quot;user:sean@example.com&quot;] } ] } YAML Example bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-other-app@appspot.gserviceaccount.com role: roles/owner - members: - user:sean@example.com role: roles/viewer For a description of IAM and its features, see the IAM developer&#39;s guide. Attributes auditConfigs ([AuditConfig]): Specifies cloud audit logging configuration for this policy. Defaults to: null. bindings ([Binding]): Associates a list of &#x60;members&#x60; to a &#x60;role&#x60;. &#x60;bindings&#x60; with no members will result in an error. Defaults to: null. etag (binary()): &#x60;etag&#x60; is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the &#x60;etag&#x60; in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An &#x60;etag&#x60; is returned in the response to &#x60;getIamPolicy&#x60;, and systems are expected to put that etag in the request to &#x60;setIamPolicy&#x60; to ensure that their change will be applied to the same version of the policy. If no &#x60;etag&#x60; is provided in the call to &#x60;setIamPolicy&#x60;, then the existing policy is overwritten blindly. Defaults to: null. version (integer()): Deprecated. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.Policy.html#decode/2","title":"GoogleApi.IAM.V1.Model.Policy.decode/2","module":"GoogleApi.IAM.V1.Model.Policy","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Policy.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Policy.t/0","module":"GoogleApi.IAM.V1.Model.Policy","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.PolicyDelta.html","title":"GoogleApi.IAM.V1.Model.PolicyDelta","module":"GoogleApi.IAM.V1.Model.PolicyDelta","type":"module","doc":"The difference delta between two policies. Attributes bindingDeltas ([BindingDelta]): The delta for Bindings between two policies. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.PolicyDelta.html#decode/2","title":"GoogleApi.IAM.V1.Model.PolicyDelta.decode/2","module":"GoogleApi.IAM.V1.Model.PolicyDelta","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.PolicyDelta.html#t:t/0","title":"GoogleApi.IAM.V1.Model.PolicyDelta.t/0","module":"GoogleApi.IAM.V1.Model.PolicyDelta","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.html","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest","module":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest","type":"module","doc":"A request to get the list of auditable services for a resource. Attributes fullResourceName (String.t): Required. The full resource name to query from the list of auditable services. The name follows the Google Cloud Platform resource format. For example, a Cloud Platform project with id &#x60;my-project&#x60; will be named &#x60;//cloudresourcemanager.googleapis.com/projects/my-project&#x60;. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.decode/2","module":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.t/0","module":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse.html","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse","module":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse","type":"module","doc":"A response containing a list of auditable services for a resource. Attributes services ([AuditableService]): The auditable services for a resource. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse.decode/2","module":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse.t/0","module":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.html","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest","module":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest","type":"module","doc":"The grantable role query request. Attributes fullResourceName (String.t): Required. The full resource name to query from the list of grantable roles. The name follows the Google Cloud Platform resource format. For example, a Cloud Platform project with id &#x60;my-project&#x60; will be named &#x60;//cloudresourcemanager.googleapis.com/projects/my-project&#x60;. Defaults to: null. pageSize (integer()): Optional limit on the number of roles to include in the response. Defaults to: null. pageToken (String.t): Optional pagination token returned in an earlier QueryGrantableRolesResponse. Defaults to: null. view (String.t): Defaults to: null. Enum - one of [BASIC, FULL]"},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.decode/2","module":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.t/0","module":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse.html","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse","module":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse","type":"module","doc":"The grantable role query response. Attributes nextPageToken (String.t): To retrieve the next page of results, set &#x60;QueryGrantableRolesRequest.page_token&#x60; to this value. Defaults to: null. roles ([Role]): The list of matching roles. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse.decode/2","module":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse.t/0","module":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.html","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest","module":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest","type":"module","doc":"A request to get permissions which can be tested on a resource. Attributes fullResourceName (String.t): Required. The full resource name to query from the list of testable permissions. The name follows the Google Cloud Platform resource format. For example, a Cloud Platform project with id &#x60;my-project&#x60; will be named &#x60;//cloudresourcemanager.googleapis.com/projects/my-project&#x60;. Defaults to: null. pageSize (integer()): Optional limit on the number of permissions to include in the response. Defaults to: null. pageToken (String.t): Optional pagination token returned in an earlier QueryTestablePermissionsRequest. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.decode/2","module":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.t/0","module":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse.html","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse","module":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse","type":"module","doc":"The response containing permissions which can be tested on a resource. Attributes nextPageToken (String.t): To retrieve the next page of results, set &#x60;QueryTestableRolesRequest.page_token&#x60; to this value. Defaults to: null. permissions ([Permission]): The Permissions testable on the requested resource. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse.decode/2","module":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse.t/0","module":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Role.html","title":"GoogleApi.IAM.V1.Model.Role","module":"GoogleApi.IAM.V1.Model.Role","type":"module","doc":"A role in the Identity and Access Management API. Attributes deleted (boolean()): The current deleted state of the role. This field is read only. It will be ignored in calls to CreateRole and UpdateRole. Defaults to: null. description (String.t): Optional. A human-readable description for the role. Defaults to: null. etag (binary()): Used to perform a consistent read-modify-write. Defaults to: null. includedPermissions ([String.t]): The names of the permissions this role grants when bound in an IAM policy. Defaults to: null. name (String.t): The name of the role. When Role is used in CreateRole, the role name must not be set. When Role is used in output and other input such as UpdateRole, the role name is the complete path, e.g., roles/logging.viewer for curated roles and organizations/{ORGANIZATION_ID}/roles/logging.viewer for custom roles. Defaults to: null. stage (String.t): The current launch stage of the role. If the &#x60;ALPHA&#x60; launch stage has been selected for a role, the &#x60;stage&#x60; field will not be included in the returned definition for the role. Defaults to: null. Enum - one of [ALPHA, BETA, GA, DEPRECATED, DISABLED, EAP] title (String.t): Optional. A human-readable title for the role. Typically this is limited to 100 UTF-8 bytes. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.Role.html#decode/2","title":"GoogleApi.IAM.V1.Model.Role.decode/2","module":"GoogleApi.IAM.V1.Model.Role","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Role.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Role.t/0","module":"GoogleApi.IAM.V1.Model.Role","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccount.html","title":"GoogleApi.IAM.V1.Model.ServiceAccount","module":"GoogleApi.IAM.V1.Model.ServiceAccount","type":"module","doc":"A service account in the Identity and Access Management API. To create a service account, specify the &#x60;project_id&#x60; and the &#x60;account_id&#x60; for the account. The &#x60;account_id&#x60; is unique within the project, and is used to generate the service account email address and a stable &#x60;unique_id&#x60;. If the account already exists, the account&#39;s resource name is returned in the format of projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. The caller can use the name in other methods to access the account. All other methods can identify the service account using the format &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the account. The &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. Attributes description (String.t): Optional. A user-specified opaque description of the service account. Must be less than or equal to 256 UTF-8 bytes. Defaults to: null. disabled (boolean()): @OutputOnly A bool indicate if the service account is disabled. The field is currently in alpha phase. Defaults to: null. displayName (String.t): Optional. A user-specified name for the service account. Must be less than or equal to 100 UTF-8 bytes. Defaults to: null. email (String.t): @OutputOnly The email address of the service account. Defaults to: null. etag (binary()): Optional. Note: &#x60;etag&#x60; is an inoperable legacy field that is only returned for backwards compatibility. Defaults to: null. name (String.t): The resource name of the service account in the following format: &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Requests using &#x60;-&#x60; as a wildcard for the &#x60;PROJECT_ID&#x60; will infer the project from the &#x60;account&#x60; and the &#x60;ACCOUNT&#x60; value can be the &#x60;email&#x60; address or the &#x60;unique_id&#x60; of the service account. In responses the resource name will always be in the format &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}&#x60;. Defaults to: null. oauth2ClientId (String.t): @OutputOnly The OAuth2 client id for the service account. This is used in conjunction with the OAuth2 clientconfig API to make three legged OAuth2 (3LO) flows to access the data of Google users. Defaults to: null. projectId (String.t): @OutputOnly The id of the project that owns the service account. Defaults to: null. uniqueId (String.t): @OutputOnly The unique and stable id of the service account. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccount.html#decode/2","title":"GoogleApi.IAM.V1.Model.ServiceAccount.decode/2","module":"GoogleApi.IAM.V1.Model.ServiceAccount","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccount.html#t:t/0","title":"GoogleApi.IAM.V1.Model.ServiceAccount.t/0","module":"GoogleApi.IAM.V1.Model.ServiceAccount","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccountKey.html","title":"GoogleApi.IAM.V1.Model.ServiceAccountKey","module":"GoogleApi.IAM.V1.Model.ServiceAccountKey","type":"module","doc":"Represents a service account key. A service account has two sets of key-pairs: user-managed, and system-managed. User-managed key-pairs can be created and deleted by users. Users are responsible for rotating these keys periodically to ensure security of their service accounts. Users retain the private key of these key-pairs, and Google retains ONLY the public key. System-managed keys are automatically rotated by Google, and are used for signing for a maximum of two weeks. The rotation process is probabilistic, and usage of the new key will gradually ramp up and down over the key&#39;s lifetime. We recommend caching the public key set for a service account for no more than 24 hours to ensure you have access to the latest keys. Public keys for all service accounts are also published at the OAuth2 Service Account API. Attributes keyAlgorithm (String.t): Specifies the algorithm (and possibly key size) for the key. Defaults to: null. Enum - one of [KEY_ALG_UNSPECIFIED, KEY_ALG_RSA_1024, KEY_ALG_RSA_2048] name (String.t): The resource name of the service account key in the following format &#x60;projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}/keys/{key}&#x60;. Defaults to: null. privateKeyData (binary()): The private key data. Only provided in &#x60;CreateServiceAccountKey&#x60; responses. Make sure to keep the private key data secure because it allows for the assertion of the service account identity. When base64 decoded, the private key data can be used to authenticate with Google API client libraries and with &lt;a href&#x3D;&quot;/sdk/gcloud/reference/auth/activate-service-account&quot;&gt;gcloud auth activate-service-account&lt;/a&gt;. Defaults to: null. privateKeyType (String.t): The output format for the private key. Only provided in &#x60;CreateServiceAccountKey&#x60; responses, not in &#x60;GetServiceAccountKey&#x60; or &#x60;ListServiceAccountKey&#x60; responses. Google never exposes system-managed private keys, and never retains user-managed private keys. Defaults to: null. Enum - one of [TYPE_UNSPECIFIED, TYPE_PKCS12_FILE, TYPE_GOOGLE_CREDENTIALS_FILE] publicKeyData (binary()): The public key data. Only provided in &#x60;GetServiceAccountKey&#x60; responses. Defaults to: null. validAfterTime (DateTime.t): The key can be used after this timestamp. Defaults to: null. validBeforeTime (DateTime.t): The key can be used before this timestamp. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccountKey.html#decode/2","title":"GoogleApi.IAM.V1.Model.ServiceAccountKey.decode/2","module":"GoogleApi.IAM.V1.Model.ServiceAccountKey","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccountKey.html#t:t/0","title":"GoogleApi.IAM.V1.Model.ServiceAccountKey.t/0","module":"GoogleApi.IAM.V1.Model.ServiceAccountKey","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest.html","title":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest","module":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest","type":"module","doc":"Request message for &#x60;SetIamPolicy&#x60; method. Attributes policy (Policy): REQUIRED: The complete policy to be applied to the &#x60;resource&#x60;. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Cloud Platform services (such as Projects) might reject them. Defaults to: null. updateMask (String.t): OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: paths: &quot;bindings, etag&quot; This field is only used by Cloud IAM. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest.decode/2","module":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest.t/0","module":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.SignBlobRequest.html","title":"GoogleApi.IAM.V1.Model.SignBlobRequest","module":"GoogleApi.IAM.V1.Model.SignBlobRequest","type":"module","doc":"The service account sign blob request. Attributes bytesToSign (binary()): The bytes to sign. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.SignBlobRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.SignBlobRequest.decode/2","module":"GoogleApi.IAM.V1.Model.SignBlobRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.SignBlobRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.SignBlobRequest.t/0","module":"GoogleApi.IAM.V1.Model.SignBlobRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.SignBlobResponse.html","title":"GoogleApi.IAM.V1.Model.SignBlobResponse","module":"GoogleApi.IAM.V1.Model.SignBlobResponse","type":"module","doc":"The service account sign blob response. Attributes keyId (String.t): The id of the key used to sign the blob. Defaults to: null. signature (binary()): The signed blob. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.SignBlobResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.SignBlobResponse.decode/2","module":"GoogleApi.IAM.V1.Model.SignBlobResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.SignBlobResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.SignBlobResponse.t/0","module":"GoogleApi.IAM.V1.Model.SignBlobResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.SignJwtRequest.html","title":"GoogleApi.IAM.V1.Model.SignJwtRequest","module":"GoogleApi.IAM.V1.Model.SignJwtRequest","type":"module","doc":"The service account sign JWT request. Attributes payload (String.t): The JWT payload to sign, a JSON JWT Claim set. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.SignJwtRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.SignJwtRequest.decode/2","module":"GoogleApi.IAM.V1.Model.SignJwtRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.SignJwtRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.SignJwtRequest.t/0","module":"GoogleApi.IAM.V1.Model.SignJwtRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.SignJwtResponse.html","title":"GoogleApi.IAM.V1.Model.SignJwtResponse","module":"GoogleApi.IAM.V1.Model.SignJwtResponse","type":"module","doc":"The service account sign JWT response. Attributes keyId (String.t): The id of the key used to sign the JWT. Defaults to: null. signedJwt (String.t): The signed JWT. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.SignJwtResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.SignJwtResponse.decode/2","module":"GoogleApi.IAM.V1.Model.SignJwtResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.SignJwtResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.SignJwtResponse.t/0","module":"GoogleApi.IAM.V1.Model.SignJwtResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.html","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest","module":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest","type":"module","doc":"Request message for &#x60;TestIamPermissions&#x60; method. Attributes permissions ([String.t]): The set of permissions to check for the &#x60;resource&#x60;. Permissions with wildcards (such as &#39;&#39; or &#39;storage.&#39;) are not allowed. For more information see IAM Overview. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.decode/2","module":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.t/0","module":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse.html","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse","module":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse","type":"module","doc":"Response message for &#x60;TestIamPermissions&#x60; method. Attributes permissions ([String.t]): A subset of &#x60;TestPermissionsRequest.permissions&#x60; that the caller is allowed. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse.decode/2","module":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse.t/0","module":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest.html","title":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest","module":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest","type":"module","doc":"The request to undelete an existing role. Attributes etag (binary()): Used to perform a consistent read-modify-write. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest.decode/2","module":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest.t/0","module":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.html","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest","module":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest","type":"module","doc":"The service account undelete request. Attributes"},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.decode/2","module":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.t/0","module":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse.html","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse","module":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse","type":"module","doc":"Attributes restoredAccount (ServiceAccount): Metadata for the restored service account. Defaults to: null."},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse.decode/2","module":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse.t/0","module":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.RequestBuilder.html","title":"GoogleApi.IAM.V1.RequestBuilder","module":"GoogleApi.IAM.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]